MiniMax
MiniMax H3 (自部署) · 動画生成
動画 / MiniMax / MiniMax H3 (自部署) / 動画生成
| エンドポイント | メソッド | パス |
|---|---|---|
| タスク送信 | POST | /v1/videos/generations |
| 結果照会 | GET | /v1/videos/generations/{id} |
リクエストパラメータ
Authorization
Header に Authorization を追加し、値は Bearer の後に API キーを続けます。
Authorization: Bearer ****************
Header パラメータ
Content-Typestring任意
application/json
Acceptstring任意
application/json
Body パラメータapplication/json必須
modelstring必須
モデル ID。`MiniMax-H3-Tokens` に固定
contentarray[object]必須
resolutionstring必須
480P / 768P / 2K解像度(例:720P / 1080P)
durationinteger必須
4–15長さ(秒)
ratiostring任意
adaptive / 21:9 / 16:9 / 4:3 / 1:1 / 3:4 / 9:16生成動画のアスペクト比(既定 adaptive)
例
{ "model": "MiniMax-H3-Tokens", "content": [ { "type": "text", "text": "岩に打ち寄せる波のスローモーション、夕暮れの暖色トーン" } ], "resolution": "768P", "duration": 5, "ratio": "16:9"}リクエストコード例
curl https://api.hotrouter.ai/v1/videos/generations \ -H "Authorization: Bearer $API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "MiniMax-H3-Tokens", "content": [ { "type": "text", "text": "岩に打ち寄せる波のスローモーション、夕暮れの暖色トーン" } ], "resolution": "768P", "duration": 5, "ratio": "16:9" }'レスポンス
タスク送信
{ "task_id": "xxxxxxxx"}結果照会
{ "task": { "id": "xxxxxxxx", "status": "succeeded", "content": { "url": "https://.../video.mp4" }, "usage": { "output_seconds": 5 } }}
